### Enumeration

# Qmi LocServerType

since: 1.22

#### Declaration

    enum Qmi.LocServerType

#### Description [src]

Server type for Assisted-GPS.

Available since: 1.22

#### Members

`QMI_LOC_SERVER_TYPE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.22
`QMI_LOC_SERVER_TYPE_CDMA_PDE`

  CDMA Position Determining System.

  - Value: `1`
  - Available since: 1.22
`QMI_LOC_SERVER_TYPE_CDMA_MPC`

  CDMA Mobile Positioning Center.

  - Value: `2`
  - Available since: 1.22
`QMI_LOC_SERVER_TYPE_UMTS_SLP`

  SUPL Location Platform.

  - Value: `3`
  - Available since: 1.22
`QMI_LOC_SERVER_TYPE_CUSTOM_PDE`

  Custom position determining system.

  - Value: `4`
  - Available since: 1.22

#### Type functions

###### qmi_loc_server_type_get_string

Gets the nickname string for the `QmiLocServerType` specified at `val`.

since: 1.22